.net version 2.0

Apr 2, 2013 at 1:27 AM
Hi,
Can't understand, why .net 4.0? I have a project which depends on .net 2.0 (some shitty dlls doesn't work with higher versions), so I altered it to .net 2.0.
You use 4.0 only to be able to make DateTime nullable. Why are you scared of DateTime.MinValue?

Mark
Coordinator
Apr 2, 2013 at 4:14 PM
If you look at the Twilio API docs you'll see places where it says a date/time field can be empty. For example, the Call start/end times. I chose not to do the MinValue/null translation and to use the capabilities of the current framework for new development. YMMV I'm not going to debate the point. I'm glad you can work around it and that you took the time to comment here, albeit with some inappropriate language.

You should check out my other note about the status of this project.